Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface Import

All Superinterfaces:
  ExtensibleElement, javax.wsdl.Import, java.io.Serializable, WSDLElement

    public interface Import

extends ExtensibleElement, javax.wsdl.Import

A representation of the model object 'Import'.

Since:
  1.0
See Also:
  `WSDLPackage.getImport()`

Method Summary
`Definition` | `getEDefinition()` Returns the value of the 'EDefinition' reference
`org.eclipse.xsd.XSDSchema` | `getESchema()` Returns the value of the 'ESchema' reference
`java.lang.String` | `getLocationURI()` Returns the value of the 'Location URI' attribute
`java.lang.String` | `getNamespaceURI()` Returns the value of the 'Namespace URI' attribute
`org.eclipse.xsd.XSDSchema` | `getSchema()` This method is same as getESchema().
`void` | `setEDefinition(Definition value)` Sets the value of the '`EDefinition`' reference
`void` | `setESchema(org.eclipse.xsd.XSDSchema value)` Sets the value of the '`ESchema`' reference
`void` | `setLocationURI(java.lang.String value)` Sets the value of the '`Location URI`' attribute
`void` | `setNamespaceURI(java.lang.String value)` Sets the value of the '`Namespace URI`' attribute
`void` | `setSchema(org.eclipse.xsd.XSDSchema schema)` This method is same as setESchema(XSDSchema).

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Import
`getDefinition, getDocumentationElement, setDefinition, setDocumentationElement`

Method Detail

### getNamespaceURI

    java.lang.String getNamespaceURI()

  Returns the value of the 'Namespace URI' attribute.

  If the meaning of the 'Namespace URI' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNamespaceURI` in interface `javax.wsdl.Import`
  Returns:
    the value of the 'Namespace URI' attribute.
  See Also:
    `setNamespaceURI(String)`, `WSDLPackage.getImport_NamespaceURI()`

### setNamespaceURI

    void setNamespaceURI(java.lang.String value)

  Sets the value of the '`Namespace URI`' attribute.

  Specified by:
    `setNamespaceURI` in interface `javax.wsdl.Import`
  Parameters:
    `value` - the new value of the 'Namespace URI' attribute.
  See Also:
    `getNamespaceURI()`

### getLocationURI

    java.lang.String getLocationURI()

  Returns the value of the 'Location URI' attribute.

  If the meaning of the 'Location URI' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getLocationURI` in interface `javax.wsdl.Import`
  Returns:
    the value of the 'Location URI' attribute.
  See Also:
    `setLocationURI(String)`, `WSDLPackage.getImport_LocationURI()`

### setLocationURI

    void setLocationURI(java.lang.String value)

  Sets the value of the '`Location URI`' attribute.

  Specified by:
    `setLocationURI` in interface `javax.wsdl.Import`
  Parameters:
    `value` - the new value of the 'Location URI' attribute.
  See Also:
    `getLocationURI()`

### getEDefinition

    Definition getEDefinition()

  Returns the value of the 'EDefinition' reference.

  If the meaning of the 'EDefinition' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EDefinition' reference.
  See Also:
    `setEDefinition(Definition)`, `WSDLPackage.getImport_EDefinition()`

### setEDefinition

    void setEDefinition(Definition value)

  Sets the value of the '`EDefinition`' reference.

  Parameters:
    `value` - the new value of the 'EDefinition' reference.
  See Also:
    `getEDefinition()`

### getESchema

    org.eclipse.xsd.XSDSchema getESchema()

  Returns the value of the 'ESchema' reference.

  If the meaning of the 'ESchema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'ESchema' reference.
  See Also:
    `setESchema(XSDSchema)`, `WSDLPackage.getImport_ESchema()`

### setESchema

    void setESchema(org.eclipse.xsd.XSDSchema value)

  Sets the value of the '`ESchema`' reference.

  Parameters:
    `value` - the new value of the 'ESchema' reference.
  See Also:
    `getESchema()`

### getSchema

    org.eclipse.xsd.XSDSchema getSchema()

  This method is same as getESchema().

  Returns:
    the value of the 'ESchema' reference.
  See Also:
    `getESchema()`

### setSchema

    void setSchema(org.eclipse.xsd.XSDSchema schema)

  This method is same as setESchema(XSDSchema).

  Parameters:
    `schema` - the new value of the 'ESchema' reference.
  See Also:
    `setESchema(XSDSchema)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD